aboutsummaryrefslogtreecommitdiff
path: root/libeufin/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libeufin/doinst.sh')
-rw-r--r--libeufin/doinst.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/libeufin/doinst.sh b/libeufin/doinst.sh
new file mode 100644
index 0000000..f8325b3
--- /dev/null
+++ b/libeufin/doinst.sh
@@ -0,0 +1,33 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Group for all taler exchange users.
+if ! getent group libeufin-bank >/dev/null; then
+ groupadd libeufin-bank \
+ --system \
+ || true
+fi
+
+if ! getent passwd libeufin-bank >/dev/null; then
+ useradd libeufin-bank \
+ --comment 'Talers pseudo bank' \
+ --gid libeufin-bank \
+ --system \
+ --home-dir /var/lib/libeufin-bank \
+ || true
+fi
+
+config etc/httpd/sites-available/libeufin-bank.conf.new
+config etc/libeufin/libeufin-bank.conf.new
+config etc/libeufin/settings.json.new
+config etc/rc.d/rc.libeufin-bank.new